#------------------------------------------------------------------------
#
#   IBM Software
#   Licensed Material - Property of IBM
#   (C) Copyright International Business Machines Corp. 2017
#   All Rights Reserved.
#
#   U.S. Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with
#   IBM Corp.
#
#------------------------------------------------------------------------
#  systemsim.tcl
#
#  This is the default toplevel script that is run when using the 
#  externally released CLI.
#------------------------------------------------------------------------

# Initialize the systemsim tcl environment
source $env(LIB_DIR)/p10/mambo_init.tcl

# Configure and create the simulated machine
define dup $config myconf

# Call the config_hook proc if it is defined to modify the config
if {[string length [info procs config_hook]] > 0} {
    config_hook myconf
}

define machine myconf mysim

# Back to the source script or prompt
